Bug 870022 - eclipse-cdt doesn't reflect the update of gcc from version 4.7.0 to 4.7.2
eclipse-cdt doesn't reflect the update of gcc from version 4.7.0 to 4.7.2
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: eclipse-cdt (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeff Johnston
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-25 08:12 EDT by Václav Mocek
Modified: 2013-02-28 15:30 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-28 15:30:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A sreenshot from the newly created C++ project. (11.35 KB, image/png)
2012-10-25 08:12 EDT, Václav Mocek
no flags Details
The dialogue window displaying warning. (80.68 KB, image/png)
2012-10-26 05:51 EDT, Václav Mocek
no flags Details

  None (edit)
Description Václav Mocek 2012-10-25 08:12:16 EDT
Created attachment 633290 [details]
A sreenshot from the newly created C++ project.

Description of problem:
The include paths in newly created C/C++ projects are still

/usr/include/c++/4.7.0/
/usr/lib/gcc/x86_64-redhat-linux/4.7.0/

regardless the fact that after the update of gcc from version 4.7.0 to 4.7.2 these directories don't exist any more.

Additional info:
The temporary solution is to create symbolic links 4.7.2 -> 4.7.0.
Comment 1 Roland Grunberg 2012-10-25 12:21:11 EDT
I've been able to reproduce this as well, and after some discussion with the Fedora maintainer found the following workaround :

Select your project and go to Project -> Properties. Open up the "C/C++ Build" option and select the "Discovery Options" tab.

Make sure that "Automate discovery of paths/symbols" is selected. Also make sure that the "Discovery Profile" dropdown option below it is set to "Managed Build System" if it isn't. Save these settings, and the include path should get updated.

This might be a bug in the upstream CDT, so I'll try reproducing and filing there. Let me know if this fixes the issue.
Comment 2 Roland Grunberg 2012-10-25 13:29:32 EDT
This bug doesn't occur on a fresh workspace, so maybe there is some workspace setting that is causing this ?
Comment 3 Václav Mocek 2012-10-26 05:50:39 EDT
(In reply to comment #1)
> I've been able to reproduce this as well, and after some discussion with the
> Fedora maintainer found the following workaround :
> 
> Select your project and go to Project -> Properties. Open up the "C/C++
> Build" option and select the "Discovery Options" tab.
> 
> Make sure that "Automate discovery of paths/symbols" is selected. Also make
> sure that the "Discovery Profile" dropdown option below it is set to
> "Managed Build System" if it isn't. Save these settings, and the include
> path should get updated.
> 
> This might be a bug in the upstream CDT, so I'll try reproducing and filing
> there. Let me know if this fixes the issue.

I removed the symbolic links I had created before and after that I did exactly what you described, unfortunately it doesn't work for me (a MAKEFILE project).

There is a warning in the dialogue window saying that "The discovery method is deprecated ...", see the attachment. It suggests to use "C/C++ General"->"Preprocessor Include Paths" instead, but it doesn't seem to be a solution.

The symbolic links are so far the best solution.

Thank you anyway for your help.
Comment 4 Václav Mocek 2012-10-26 05:51:48 EDT
Created attachment 633779 [details]
The dialogue window displaying warning.
Comment 5 Václav Mocek 2012-10-26 05:56:17 EDT
(In reply to comment #2)
> This bug doesn't occur on a fresh workspace, so maybe there is some
> workspace setting that is causing this ?

I can confirm that, a fresh workspace is a solution.
Comment 6 Alexander Kurtakov 2013-01-08 07:13:52 EST
Vaclav, can we close it now? Have you seen the problem again aka non-reproducible?
Comment 7 Alexander Kurtakov 2013-02-28 15:30:36 EST
No reply for more than a month. Closing.

Note You need to log in before you can comment on or make changes to this bug.